# -*- encoding: utf-8 -*-
# stub: pact 1.20.1 ruby lib

Gem::Specification.new do |s|
  s.name = "pact"
  s.version = "1.20.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib"]
  s.authors = ["James Fraser", "Sergei Matheson", "Brent Snook", "Ronald Holshausen", "Beth Skurrie"]
  s.date = "2018-02-08"
  s.description = "Enables consumer driven contract testing, providing a mock service and DSL for the consumer project, and interaction playback and verification for the service provider project."
  s.email = ["james.fraser@alumni.swinburne.edu", "sergei.matheson@gmail.com", "brent@fuglylogic.com", "uglyog@gmail.com", "bskurrie@dius.com.au"]
  s.executables = ["pact"]
  s.files = ["CHANGELOG.md", "LICENSE.txt", "bin/pact", "lib/pact.rb", "lib/pact/cli.rb", "lib/pact/cli/generate_pact_docs.rb", "lib/pact/cli/run_pact_verification.rb", "lib/pact/cli/spec_criteria.rb", "lib/pact/consumer.rb", "lib/pact/consumer/configuration.rb", "lib/pact/consumer/configuration/configuration_extensions.rb", "lib/pact/consumer/configuration/dsl.rb", "lib/pact/consumer/configuration/mock_service.rb", "lib/pact/consumer/configuration/service_consumer.rb", "lib/pact/consumer/configuration/service_provider.rb", "lib/pact/consumer/consumer_contract_builder.rb", "lib/pact/consumer/consumer_contract_builders.rb", "lib/pact/consumer/interaction_builder.rb", "lib/pact/consumer/rspec.rb", "lib/pact/consumer/spec_hooks.rb", "lib/pact/consumer/world.rb", "lib/pact/doc/README.md", "lib/pact/doc/doc_file.rb", "lib/pact/doc/generate.rb", "lib/pact/doc/generator.rb", "lib/pact/doc/interaction_view_model.rb", "lib/pact/doc/markdown/consumer_contract_renderer.rb", "lib/pact/doc/markdown/generator.rb", "lib/pact/doc/markdown/index_renderer.rb", "lib/pact/doc/markdown/interaction.erb", "lib/pact/doc/markdown/interaction_renderer.rb", "lib/pact/doc/sort_interactions.rb", "lib/pact/project_root.rb", "lib/pact/provider.rb", "lib/pact/provider/configuration.rb", "lib/pact/provider/configuration/configuration_extension.rb", "lib/pact/provider/configuration/dsl.rb", "lib/pact/provider/configuration/pact_verification.rb", "lib/pact/provider/configuration/service_provider_config.rb", "lib/pact/provider/configuration/service_provider_dsl.rb", "lib/pact/provider/context.rb", "lib/pact/provider/help/console_text.rb", "lib/pact/provider/help/content.rb", "lib/pact/provider/help/pact_diff.rb", "lib/pact/provider/help/prompt_text.rb", "lib/pact/provider/help/write.rb", "lib/pact/provider/matchers/messages.rb", "lib/pact/provider/pact_helper_locator.rb", "lib/pact/provider/pact_source.rb", "lib/pact/provider/pact_spec_runner.rb", "lib/pact/provider/pact_uri.rb", "lib/pact/provider/pact_verification.rb", "lib/pact/provider/print_missing_provider_states.rb", "lib/pact/provider/request.rb", "lib/pact/provider/rspec.rb", "lib/pact/provider/rspec/backtrace_formatter.rb", "lib/pact/provider/rspec/custom_options_file", "lib/pact/provider/rspec/formatter_rspec_2.rb", "lib/pact/provider/rspec/formatter_rspec_3.rb", "lib/pact/provider/rspec/matchers.rb", "lib/pact/provider/rspec/pact_broker_formatter.rb", "lib/pact/provider/state/provider_state.rb", "lib/pact/provider/state/provider_state_configured_modules.rb", "lib/pact/provider/state/provider_state_manager.rb", "lib/pact/provider/state/provider_state_proxy.rb", "lib/pact/provider/state/set_up.rb", "lib/pact/provider/state/tear_down.rb", "lib/pact/provider/test_methods.rb", "lib/pact/provider/verification_report.rb", "lib/pact/provider/verification_results/create.rb", "lib/pact/provider/verification_results/publish.rb", "lib/pact/provider/verification_results/publish_all.rb", "lib/pact/provider/verification_results/verification_result.rb", "lib/pact/provider/world.rb", "lib/pact/tasks.rb", "lib/pact/tasks/task_helper.rb", "lib/pact/tasks/verification_task.rb", "lib/pact/templates/help.erb", "lib/pact/templates/provider_state.erb", "lib/pact/version.rb", "lib/tasks/pact.rake", "pact.gemspec"]
  s.homepage = "https://github.com/pact-foundation/pact-ruby"
  s.licenses = ["MIT"]
  s.required_ruby_version = Gem::Requirement.new(">= 2.0")
  s.rubygems_version = "2.4.5.2"
  s.summary = "Enables consumer driven contract testing, providing a mock service and DSL for the consumer project, and interaction playback and verification for the service provider project."

  s.installed_by_version = "2.4.5.2" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<randexp>, ["~> 0.1.7"])
      s.add_runtime_dependency(%q<rspec>, [">= 2.14"])
      s.add_runtime_dependency(%q<rack-test>, [">= 0.6.3", "~> 0.6"])
      s.add_runtime_dependency(%q<thor>, [">= 0"])
      s.add_runtime_dependency(%q<json>, ["> 1.8.5"])
      s.add_runtime_dependency(%q<webrick>, [">= 0"])
      s.add_runtime_dependency(%q<term-ansicolor>, ["~> 1.0"])
      s.add_runtime_dependency(%q<pact-support>, [">= 1.2.4", "~> 1.2"])
      s.add_runtime_dependency(%q<pact-mock_service>, ["~> 2.0"])
      s.add_development_dependency(%q<rake>, ["~> 10.0.3"])
      s.add_development_dependency(%q<webmock>, ["~> 3.0"])
      s.add_development_dependency(%q<pry>, [">= 0"])
      s.add_development_dependency(%q<fakefs>, ["= 0.5"])
      s.add_development_dependency(%q<hashie>, ["~> 2.0"])
      s.add_development_dependency(%q<activesupport>, [">= 0"])
      s.add_development_dependency(%q<faraday>, ["~> 0.13"])
      s.add_development_dependency(%q<appraisal>, ["~> 2.2"])
      s.add_development_dependency(%q<conventional-changelog>, ["~> 1.3"])
      s.add_development_dependency(%q<bump>, ["~> 0.5"])
    else
      s.add_dependency(%q<randexp>, ["~> 0.1.7"])
      s.add_dependency(%q<rspec>, [">= 2.14"])
      s.add_dependency(%q<rack-test>, [">= 0.6.3", "~> 0.6"])
      s.add_dependency(%q<thor>, [">= 0"])
      s.add_dependency(%q<json>, ["> 1.8.5"])
      s.add_dependency(%q<webrick>, [">= 0"])
      s.add_dependency(%q<term-ansicolor>, ["~> 1.0"])
      s.add_dependency(%q<pact-support>, [">= 1.2.4", "~> 1.2"])
      s.add_dependency(%q<pact-mock_service>, ["~> 2.0"])
      s.add_dependency(%q<rake>, ["~> 10.0.3"])
      s.add_dependency(%q<webmock>, ["~> 3.0"])
      s.add_dependency(%q<pry>, [">= 0"])
      s.add_dependency(%q<fakefs>, ["= 0.5"])
      s.add_dependency(%q<hashie>, ["~> 2.0"])
      s.add_dependency(%q<activesupport>, [">= 0"])
      s.add_dependency(%q<faraday>, ["~> 0.13"])
      s.add_dependency(%q<appraisal>, ["~> 2.2"])
      s.add_dependency(%q<conventional-changelog>, ["~> 1.3"])
      s.add_dependency(%q<bump>, ["~> 0.5"])
    end
  else
    s.add_dependency(%q<randexp>, ["~> 0.1.7"])
    s.add_dependency(%q<rspec>, [">= 2.14"])
    s.add_dependency(%q<rack-test>, [">= 0.6.3", "~> 0.6"])
    s.add_dependency(%q<thor>, [">= 0"])
    s.add_dependency(%q<json>, ["> 1.8.5"])
    s.add_dependency(%q<webrick>, [">= 0"])
    s.add_dependency(%q<term-ansicolor>, ["~> 1.0"])
    s.add_dependency(%q<pact-support>, [">= 1.2.4", "~> 1.2"])
    s.add_dependency(%q<pact-mock_service>, ["~> 2.0"])
    s.add_dependency(%q<rake>, ["~> 10.0.3"])
    s.add_dependency(%q<webmock>, ["~> 3.0"])
    s.add_dependency(%q<pry>, [">= 0"])
    s.add_dependency(%q<fakefs>, ["= 0.5"])
    s.add_dependency(%q<hashie>, ["~> 2.0"])
    s.add_dependency(%q<activesupport>, [">= 0"])
    s.add_dependency(%q<faraday>, ["~> 0.13"])
    s.add_dependency(%q<appraisal>, ["~> 2.2"])
    s.add_dependency(%q<conventional-changelog>, ["~> 1.3"])
    s.add_dependency(%q<bump>, ["~> 0.5"])
  end
end
